/* bitmap.cpp
 *
 * code for bitmap functions
 */

#include "bitmap.h"

BRect bsize;
BBitmap *bimage;
int bytesprline;
char *imageptr;
float bxsize, bysize;

void initbitmap(float xsize, float ysize)
{
	bxsize = xsize; bysize = ysize;
	bsize.Set(0.0, 0.0, xsize, ysize);
	bimage = new BBitmap(bsize, B_COLOR_8_BIT);
	imageptr = (char *) bimage->Bits();
	bytesprline =  bimage->BytesPerRow();	
	clearbitmap(0);
}

void removebitmap(void)
{
	delete bimage;
}

void bitplot(float x, float y, int value)
{
	int where;
	if(x < bxsize && y < bysize && x > 0 && y > 0) {	
		where = (int) y * bytesprline + (int) x;
		imageptr[where] = value;
	}
}


void clearbitmap(int color)
{
	int x,y;
	
	for(y = 0; y < bysize; y++)
		for(x = 0; x < bxsize; x++)
			imageptr[y*bytesprline+x] = color;
}

BBitmap *bitptr() 
{
	return bimage;
}


